<template>
  <h1>Components</h1>

  <p>These variables are defined when some content needs to be positioned/sized relatively to the component in which they are used.</p>

  <table>
    <thead>
      <tr>
        <th>Variable</th>
        <th>Description</th>
        <th>Value</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(d, v) in variables" :key="v">
        <td><code>{{ v }}</code></td>
        <td>{{ d }}</td>
        <td><code :data-css-var="v" /></td>
      </tr>
    </tbody>
  </table>
</template>

<script>
import { setScssVariables } from '../../../../documentation_system/utils/SetSCSSVariables.js'

const variables = {
  '--actions-height': 'Height of a "._actions" component',
  '--drawer-title-height': '',
  '--footer-height': '',
  '--input-height': '',
  '--menu-item-height': '',
  '--navbar-height': '',
  '--panel-width': '',
  '--search-form-height': '',
  '--tabs-height': '',
  '--thumbnail-height': '',
  '--thumbnail-width': '',
  '--toolbars-height': '',
}

export default {
  name: 'ComponentsView',
  data () {
    return {
      variables,
    }
  },
  methods: {
    setScssVariables,
  },
  created () {
    this.$setTitle('Components')

    this.$nextTick(() => {
      this.setScssVariables()
    })
  },
}
</script>
